summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Benjamin Trigona-Harany2010-06-30 06:17:45 +0200
committer Robby Workman2010-06-30 06:17:45 +0200
commit9c79e7ff8dfa21e35558c2844dd781a8bd0a3f31 (patch)
treef801ab0f86e10ea3c67ecb98cd22fa3a99b25bc3 /desktop
parentbe31bcffe43b33158cba8b32923fa1e70be448f0 (diff)
downloadslackbuilds-9c79e7ff8dfa21e35558c2844dd781a8bd0a3f31.tar.gz
desktop/xplanet: Added (planetary and solar system image displayer)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xplanet/README8
-rw-r--r--desktop/xplanet/slack-desc19
-rw-r--r--desktop/xplanet/src.patch22
-rw-r--r--desktop/xplanet/xplanet.SlackBuild86
-rw-r--r--desktop/xplanet/xplanet.info10
5 files changed, 145 insertions, 0 deletions
diff --git a/desktop/xplanet/README b/desktop/xplanet/README
new file mode 100644
index 0000000000..70cf8807b5
--- /dev/null
+++ b/desktop/xplanet/README
@@ -0,0 +1,8 @@
+Xplanet renders planetary and solar system images. It can be used to create
+computer wallpapers or single images. Xplanet can show city names, overlay
+cloud maps or display which regions of Earth are day or night. Xplanet can
+be used to produce projected maps based on several projections, such as
+mollweide, which show the whole earth at once, or mercator, which is
+rectangular and is suitable for filling the screen.
+
+See /usr/share/xplanet for maps, config files, scripts, and so on.
diff --git a/desktop/xplanet/slack-desc b/desktop/xplanet/slack-desc
new file mode 100644
index 0000000000..322e141d73
--- /dev/null
+++ b/desktop/xplanet/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xplanet: xplanet (renders images of earth and other planets)
+xplanet:
+xplanet: Xplanet renders planetary and solar system images. It can be used to
+xplanet: create computer wallpapers or single images. Xplanet can show city
+xplanet: names, overlay cloud maps or display which regions of Earth are day or
+xplanet: night. Xplanet can be used to produce projected maps based on several
+xplanet: projections, such as mollweide, which show the whole earth at once, or
+xplanet: mercator, which is rectangular and is suitable for filling the screen.
+xplanet:
+xplanet: Home: http://xplanet.sourceforge.net/
+xplanet:
diff --git a/desktop/xplanet/src.patch b/desktop/xplanet/src.patch
new file mode 100644
index 0000000000..b599bfb96e
--- /dev/null
+++ b/desktop/xplanet/src.patch
@@ -0,0 +1,22 @@
+diff -crB src/Satellite.cpp src.new//Satellite.cpp
+*** src/Satellite.cpp 2010-06-24 08:32:19.923302138 +0300
+--- src.new//Satellite.cpp 2010-06-24 08:31:30.857301301 +0300
+***************
+*** 1,4 ****
+--- 1,5 ----
+ #include <clocale>
++ #include <cstdio>
+ #include <cstring>
+ #include <iostream>
+ using namespace std;
+diff -crB src/Separation.cpp src.new//Separation.cpp
+*** src/Separation.cpp 2010-06-24 08:32:19.911301998 +0300
+--- src.new//Separation.cpp 2010-06-24 08:31:34.542300533 +0300
+***************
+*** 1,4 ****
+--- 1,5 ----
+ #include <cmath>
++ #include <cstdio>
+ #include <iostream>
+
+ #include "Separation.h"
diff --git a/desktop/xplanet/xplanet.SlackBuild b/desktop/xplanet/xplanet.SlackBuild
new file mode 100644
index 0000000000..2de22d6d01
--- /dev/null
+++ b/desktop/xplanet/xplanet.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+# Written by Benjamin Trigona-Harany <bosth@alumni.sfu.ca>
+# Based on http://slackbuilds.org/template.SlackBuild
+
+PRGNAM=xplanet
+VERSION=${VERSION:-1.2.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# patch to add <cstdio> to two source files as needed by gcc 4.4
+patch -p0 < $CWD/src.patch
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ README TODO AUTHORS COPYING NEWS ChangeLog \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xplanet/xplanet.info b/desktop/xplanet/xplanet.info
new file mode 100644
index 0000000000..fd9fe13696
--- /dev/null
+++ b/desktop/xplanet/xplanet.info
@@ -0,0 +1,10 @@
+PRGNAM="xplanet"
+VERSION="1.2.1"
+HOMEPAGE="http://xplanet.sourceforge.net/"
+DOWNLOAD="http://prdownloads.sourceforge.net/xplanet/xplanet-1.2.1.tar.gz"
+MD5SUM="5dca0369ca64fa3c006b616b72b5e1cf"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Benjamin Trigona-Harany"
+EMAIL="bosth@alumni.sfu.ca"
+APPROVED="rworkman"